﻿.PopUpJbFormBuilder {
    width: 59%;
    left: 21%;
}

    .PopUpJbFormBuilder .modal-body {
        overflow-y: inherit;
    }

/*[class^="icon-"],
[class*=" icon-"] {
    display: inline-block;
    width: 14px;
    height: 14px;
    margin-top: 1px;
    *margin-right: .3em;
    line-height: 14px;
    vertical-align: text-top;
    background-image: url("/Images/ico/glyphicons-halflings.png");
    background-repeat: no-repeat;
    border: none;
    background-color: transparent;
}*/

.JbForm.dynamic li, .JbForm.dynamic ul {
    list-style-type: none;
}

.JbForm.dynamic ul {
    padding: 0;
    margin: 0;
}

.JbForm .form-title {
    border-bottom: 2px solid #ddd;
    font-family: "raleway";
    padding-bottom: 5px;
}

    .JbForm .form-title > input {
        font-family: "raleway";
        font-size: 29px;
        height: 31px;
        line-height: 1;
        padding: 2px;
    }

    .JbForm .form-title > .edit, .JbForm .form-title > .save, .JbForm .form-title > .cancel {
        font-size: 14px;
        cursor: pointer;
    }

.JbForm .JbSection {
    border: 1px solid #ddd;
    border-radius: 2px;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin-bottom: 5px;
    padding: 5px;
    position: relative;
    width: 100%;
}

    .JbForm .JbSection .jb-section-title {
        background-color: #eee;
        border-radius: 2px;
        font-family: "raleway";
        font-size: 20px;
        padding-left: 16px;
        -moz-transition: margin 0.5s ease-in-out 0s;
        -o-transition: margin 0.5s ease-in-out 0s;
        -webkit-transition: margin 0.5s ease-in-out 0s;
        transition: margin 0.5s ease-in-out 0s;
        display: block;
        position: relative;
        cursor: pointer;
        width: 100%;
        margin-bottom: 5px;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
    }

.JbForm.dynamic .JbSection .jb-section-title > input {
    font-family: "raleway";
    font-size: 20px;
    margin-bottom: 3px;
    max-width: 50%;
    min-width: 50px;
}

.JbForm.dynamic .JbSection .jb-section-title > .edit {
    display: none;
    font-size: 11px;
    height: 0;
}

.JbForm.dynamic .JbSection:hover .jb-section-title > .edit, .JbForm.dynamic .JbSection:hover .section-operations {
    display: inline-block;
}

.JbForm.dynamic .JbSection .jb-section-title > .save, .JbForm.dynamic .JbSection .jb-section-title > .cancel {
    display: inline-block;
    font-size: 11px;
    line-height: 1;
}

.JbForm.dynamic .JbSection .jb-section-title.closed {
    margin-bottom: 0;
}

    .JbForm.dynamic .JbSection .jb-section-title.closed:before {
        background-color: #ddd;
        background-image: url("/images/ico/item-handle-vertical.png");
        background-position: center center;
        background-repeat: no-repeat;
        bottom: -5px;
        content: "";
        cursor: move;
        display: inline-block;
        left: -5px;
        position: absolute;
        top: -5px;
        width: 14px;
    }


.JbForm.static .JbFormControll {
    margin-left: 10px;
    min-height: 65px;
    min-width: 164px;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

    .JbForm.static .JbFormControll.JbCheckBox {
        padding-top: 22px;
    }

.name-info {
    background: url("/images/ico/info.png") no-repeat scroll center bottom rgba(0, 0, 0, 0);
    cursor: pointer;
    display: inline-block;
    padding: 8px;
    vertical-align: top;
}

.JbCheckBox .name-info {
    float: left;
}

.form-sec .name-info {
    vertical-align: text-top;
}

.JbForm.dynamic .JbSection.ReadOnly {
    background-color: #eaeaea;
    position: relative;
}

    .JbForm.dynamic .JbSection.ReadOnly:after {
        color: red;
        content: "Required by Jumbula";
        display: block;
        position: absolute;
        right: 15px;
        text-decoration: underline;
        top: 12px;
    }

    .JbForm.dynamic .JbSection.ReadOnly input {
        box-shadow: 0 0;
        outline: 0 none;
    }

        .JbForm.dynamic .JbSection.ReadOnly input:focus {
            border-color: rgba(82, 168, 236, 0.8);
            box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset, 0 0 8px rgba(82, 168, 236, 0.6);
            outline: 0 none;
            border: 1px solid #acb7c0;
        }

.JbForm.dynamic .JbSection .jb-inner-controll {
    border-bottom: 1px solid #f8f8f8;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    min-height: 70px;
    padding: 5px 5px 5px 14px;
    position: relative;
}

    .JbForm.dynamic .JbSection .jb-inner-controll.ReadOnly {
        position: relative;
    }

        .JbForm.dynamic .JbSection .jb-inner-controll.ReadOnly:after {
            bottom: 0;
            content: "";
            display: block;
            left: 0;
            position: absolute;
            right: 0;
            top: 0;
        }

    .JbForm.dynamic .JbSection .jb-inner-controll:nth-child(2n) {
        background-color: rgba(0, 0, 0, 0.02);
    }

    .JbForm.dynamic .JbSection .jb-inner-controll.JbHidden {
        display: none;
        visibility: hidden;
    }

    .JbForm.dynamic .JbSection .jb-inner-controll:last-child {
        border-bottom: 0 none;
    }

    .JbForm.dynamic .JbSection .jb-inner-controll .edit-buttons {
        margin-top: 14px;
    }

    .JbForm.dynamic .JbSection .jb-inner-controll.JbCheckBox {
        padding-top: 26px;
    }

    .JbForm.dynamic .JbSection .jb-inner-controll:before {
        background-image: url("/images/ico/item-handle-vertical.png");
        background-position: center center;
        background-repeat: no-repeat;
        bottom: 0;
        content: "";
        cursor: move;
        display: block;
        left: 0;
        position: absolute;
        top: 0;
        width: 11px;
    }

.JbForm.dynamic .JbSection .section-operations {
    display: none;
    margin-right: -10px;
    width: 36px;
}

.PopUpJbFormBuilder .form-current-question {
    background-color: rgba(0, 0, 0, 0.5);
    bottom: 0;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    left: 0;
    opacity: 0;
    overflow: auto;
    position: fixed;
    right: 0;
    top: 0;
    -moz-transition: all 0.2s ease-in-out 0s;
    -o-transition: all 0.2s ease-in-out 0s;
    -webkit-transition: all 0.2s ease-in-out 0s;
    transition: all 0.2s ease-in-out 0s;
    visibility: hidden;
    z-index: 1000;
}

    .PopUpJbFormBuilder .form-current-question.open {
        opacity: 1;
        visibility: visible;
    }

    .PopUpJbFormBuilder .form-current-question .container {
        background-color: #fff;
        max-width: 500px;
        padding: 30px;
    }

    .PopUpJbFormBuilder .form-current-question.open .step1 {
        margin-top: 20px;
    }

    .PopUpJbFormBuilder .form-current-question .step1 {
        margin-top: -100%;
        -moz-transition: margin 0.5s ease-in-out 0.1s;
        -o-transition: margin 0.5s ease-in-out 0.1s;
        -webkit-transition: margin 0.5s ease-in-out 0.1s;
        transition: margin 0.5s ease-in-out 0.1s;
    }

    .PopUpJbFormBuilder .form-current-question .step2, .PopUpJbFormBuilder .form-current-question .step3 {
        padding-top: 0;
    }

    .PopUpJbFormBuilder .form-current-question .container:first-child {
        border-radius: 2px 2px 0 0;
    }

    .PopUpJbFormBuilder .form-current-question .container:last-child {
        border-radius: 0 0 2px 2px;
    }

.JbForm.dynamic .JbSection .jb-inner-controll .jb-inner-controll-options {
    display: none;
    float: right;
    text-align: center;
}

.JbForm.dynamic .JbSection .jb-inner-controll:hover .jb-inner-controll-options {
    display: block;
}

.JbForm.dynamic .JbSection .jb-inner-controll .jb-inner-controll-options ul li a {
    cursor: pointer;
    padding: 5px;
    width: 20px;
}

.JbForm.dynamic .JbSection .jb-inner-controll .jb-inner-controll-options ul li {
    float: left;
    margin-right: 10px;
}

    .JbForm.dynamic .JbSection .jb-inner-controll .jb-inner-controll-options ul li:last-child {
        margin-right: 0;
    }

.JbForm input, .JbForm select {
    background-color: #fff !important;
}

.JbForm.static .icheckbox_square-orange, .JbForm.static .JbCheckBox label {
    margin-top: 14px;
}

.JbForm.dynamic .jb-control.preview .jb-inner-controll-options {
    display: none;
}
